package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.ConvenienceService;
import com.propertyManagement.business.domain.vo.ConvenienceServiceVo;
import com.propertyManagement.business.domain.bo.ConvenienceServiceBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 便民服务Service接口
 *
 * @author Ashe
 * @date 2025-08-13
 */
public interface IConvenienceServiceService {

    /**
     * 查询便民服务
     */
    ConvenienceServiceVo queryById(Long id);

    /**
     * 查询便民服务列表
     */
    TableDataInfo<ConvenienceServiceVo> queryPageList(ConvenienceServiceBo bo, PageQuery pageQuery);

    /**
     * 查询便民服务列表
     */
    List<ConvenienceServiceVo> queryList(ConvenienceServiceBo bo);

    /**
     * 新增便民服务
     */
    Boolean insertByBo(ConvenienceServiceBo bo);

    /**
     * 修改便民服务
     */
    Boolean updateByBo(ConvenienceServiceBo bo);

    /**
     * 校验并批量删除便民服务信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
